{
  description = "real";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";

    nvf.url = "git+https://gitea.homework.zip/five/neovim";

    home-manager = {
      url = "github:nix-community/home-manager/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    hyprland = {
      url = "github:hyprwm/Hyprland";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    stylix = {
      url = "github:danth/stylix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    rocm = {
      url = "github:nixos-rocm/nixos-rocm";
    };
  };

  outputs = {nixpkgs, ...} @ inputs: let
    system = "x86_64-linux";

    pkgs = import nixpkgs {
      inherit system;
      config = {
        allowUnfree = true;
      };
    };
  in {
    nixosConfigurations = {
      shibazaki = nixpkgs.lib.nixosSystem {
        inherit system;
        specialArgs = {
          inherit inputs pkgs;
          userSettings = {
            username = "shibazaki";
          };
        };
        modules = [
          ./users/shibazaki/configuration.nix
          inputs.stylix.nixosModules.stylix
        ];
      };
      twelve = nixpkgs.lib.nixosSystem {
        inherit system;
        specialArgs = {
          inherit inputs pkgs;
          userSettings = {
            username = "twelve";
          };
        };
        modules = [
          ./users/twelve/configuration.nix
          inputs.stylix.nixosModules.stylix
        ];
      };
      nine = nixpkgs.lib.nixosSystem {
        inherit system;
        specialArgs = {
          inherit inputs pkgs;
          userSettings = {
            username = "nine";
          };
        };
        modules = [
          ./users/nine/configuration.nix
          inputs.stylix.nixosModules.stylix
        ];
      };
    };
  };
}
